%bcond_without check

# https://pagure.io/golist
%global goipath         pagure.io/golist

Summary:        A tool to analyse the properties of a Go (Golang) codebase
Name:           golist
Version:        0.10.4
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            %{gourl}
Source:         https://pagure.io/golist/archive/v%{version}/golist-%{version}.tar.gz

#satisfy the buildrequires
Source1:        %{name}-%{version}-bootstrap.tar.gz

%description
A tool to analyse the properties of a Go (Golang) codebase.

%gometa

%prep
%goprep
%autopatch -p1
mkdir -p %{_builddir}/go/src/github.com
tar -xzf %{SOURCE1} -C %{_builddir}/go/src/github.com

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%doc README.md NEWS.md
%license LICENSE
%{_bindir}/golist

%changelog
* Wed Jul 17 2024 Siyuan Lou <siyuanlou@tencent.com> - 0.10.4-1
- initial build